コンテンツへスキップ

Fooocus Upscale or Vary

統合

モデルID fooocus/upscale-or-vary
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/fooocus/upscale-or-vary?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "uov_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: ≈$0.007 7 APIクレジット このページで実行

APIキーを取得
Open model アップスケール #upscaling#vary#stylized

画像を1.5倍または2倍にアップスケールするか、微細または大きなバリエーションを作成するFooocusツール

Open model · 画像

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

デフォルト

生成したい画像をできるだけ詳しく説明してください。最良の結果を得るには詳細な記述を使用します。

•必須
ファイルをドロップ、または

アップスケーリングまたはバリエーション生成の元画像。

デフォルト 1024x1024

プリセットから選択するか、カスタムの幅と高さを指定する出力画像の寸法。カスタム寸法はどちらも8で割り切れる必要があります。

num_images デフォルト 1

1回のリクエストで生成する画像数。

詳細設定 negative_prompt · performance · output_format · uov_method · refiner_model · guidance_scale · sharpness · refiner_switch · seed · mixing_image_prompt_and_vary_upscale · enable_safety_checker · styles · loras · image_prompt_1 · image_prompt_2 · image_prompt_3 · image_prompt_4
デフォルト

除外する画像の内容を指定するネガティブプロンプト。色、オブジェクト、景色、細部などを指定できます。例:口ひげ、ぼけ、低解像度。

performance デフォルト Extreme Speed

パフォーマンス設定:SpeedまたはQuality。

output_format デフォルト jpeg

結果の画像のファイル形式。

uov_method デフォルト Vary (Strong)

アップスケーリングまたはバリエーション作成に適用する方式。

デフォルト None

リファイナーの選択:SDXLまたはSD 1.5。

デフォルト 4

画像選択におけるプロンプト準拠度。CFG(Classifier Free Guidance)として表します。

デフォルト 2

出力画像のシャープネス設定。値を上げると画像とテクスチャがより鮮明になります。

デフォルト 0.8

リファイナー切り替え値。リアル系SD1.5モデルには0.4、アニメ系SD1.5モデルには0.667、XL-refinersには0.8を使用します。2つのSDXLモデル間で切り替える場合は任意の値を指定できます。

Stable Diffusionで画像を再現するためのシード。モデルバージョン、プロンプト、シードを変更しなければ、毎回画像を完全に再現できます。

デフォルト ["Fooocus Enhance","F...

生成時に適用するスタイル。

デフォルト [{"path":"https://hug...

最終画像生成に統合するLoRA。最大5個まで。

POST /run/fooocus/upscale-or-vary?wait=20 見積もり → $0.007
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/fooocus/upscale-or-vary?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "uov_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Fooocus Upscale or Varyについて

元画像を`uov_image_url`で受け取り、`uov_method`としてVary (Subtle)、Vary (Strong)、Upscale (1.5x)、Upscale (2x)、Upscale (Fast 2x)を適用します。デフォルトはVary (Strong)です。`prompt`、スタイル、LoRA、オプションの画像プロンプトで結果を誘導でき、1〜4枚の画像が返されます。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
prompt任意
型string
デフォルト
生成したい画像をできるだけ詳しく説明してください。最良の結果を得るには詳細な記述を使用します。
negative_prompt任意
型string
デフォルト
除外する画像の内容を指定するネガティブプロンプト。色、オブジェクト、景色、細部などを指定できます。例:口ひげ、ぼけ、低解像度。
styles任意
型enum[]
デフォルト["Fooocus Enhance","Fooocus Sharp","Fooocus V2"]
生成時に適用するスタイル。
performance任意
型enum
デフォルトExtreme Speed
SpeedQualityExtreme SpeedLightning
パフォーマンス設定:SpeedまたはQuality。
guidance_scale任意
型number
デフォルト4
1 – 30
画像選択におけるプロンプト準拠度。CFG(Classifier Free Guidance)として表します。
sharpness任意
型number
デフォルト2
0 – 30
出力画像のシャープネス設定。値を上げると画像とテクスチャがより鮮明になります。
aspect_ratio任意
型string
デフォルト1024x1024
プリセットから選択するか、カスタムの幅と高さを指定する出力画像の寸法。カスタム寸法はどちらも8で割り切れる必要があります。
num_images任意 num_outputs
型integer
デフォルト1
1 – 4
1回のリクエストで生成する画像数。
loras任意
型object[]
デフォルト[{"path":"https://huggingface.co/stabilityai/stable-diffusion-xl-base-1.0/resolve/main/sd_xl_offset_example-lora_1.0.safetensors","scale":0.1}]
最終画像生成に統合するLoRA。最大5個まで。
loras[].path必須
型string
URLまたはパスで指定するLoRAウェイトの場所。
loras[].scale任意
型number
デフォルト0.1
0 – 1
ベースモデルに統合する前にLoRAウェイトへ適用する倍率。
refiner_model任意
型enum
デフォルトNone
NonerealisticVisionV60B1_v51VAE.safetensors
リファイナーの選択:SDXLまたはSD 1.5。
refiner_switch任意
型number
デフォルト0.8
0 – 1
リファイナー切り替え値。リアル系SD1.5モデルには0.4、アニメ系SD1.5モデルには0.667、XL-refinersには0.8を使用します。2つのSDXLモデル間で切り替える場合は任意の値を指定できます。
output_format任意
型enum
デフォルトjpeg
pngjpegwebp
結果の画像のファイル形式。
seed任意
型integer | null
Stable Diffusionで画像を再現するためのシード。モデルバージョン、プロンプト、シードを変更しなければ、毎回画像を完全に再現できます。
uov_image_url必須
型url · image
アップスケーリングまたはバリエーション生成の元画像。
uov_method任意
型enum
デフォルトVary (Strong)
DisabledVary (Subtle)Vary (Strong)Upscale (1.5x)Upscale (2x)Upscale (Fast 2x)
アップスケーリングまたはバリエーション作成に適用する方式。
image_prompt_1任意
型object
image_prompt_1.type任意
型enum
デフォルトImagePrompt
ImagePromptPyraCannyCPDSFaceSwap
image_prompt_1.image_url任意
型url · image
image_prompt_1.stop_at任意
型number
デフォルト0.5
0 – 1
image_prompt_1.weight任意
型number
デフォルト1
0 – 2
image_prompt_2任意
型object
image_prompt_2.type任意
型enum
デフォルトImagePrompt
ImagePromptPyraCannyCPDSFaceSwap
image_prompt_2.image_url任意
型url · image
image_prompt_2.stop_at任意
型number
デフォルト0.5
0 – 1
image_prompt_2.weight任意
型number
デフォルト1
0 – 2
image_prompt_3任意
型object
image_prompt_3.type任意
型enum
デフォルトImagePrompt
ImagePromptPyraCannyCPDSFaceSwap
image_prompt_3.image_url任意
型url · image
image_prompt_3.stop_at任意
型number
デフォルト0.5
0 – 1
image_prompt_3.weight任意
型number
デフォルト1
0 – 2
image_prompt_4任意
型object
image_prompt_4.type任意
型enum
デフォルトImagePrompt
ImagePromptPyraCannyCPDSFaceSwap
image_prompt_4.image_url任意
型url · image
image_prompt_4.stop_at任意
型number
デフォルト0.5
0 – 1
image_prompt_4.weight任意
型number
デフォルト1
0 – 2
mixing_image_prompt_and_vary_upscale任意
型boolean
デフォルトfalse
Image PromptとVary/Upscaleを組み合わせます。
enable_safety_checker任意
型boolean
デフォルトtrue
安全性チェッカーの切り替え。falseにするとチェックが無効になります。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "fooocus/upscale-or-vary",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 7,
    "usd": "0.007",
    "charged": 7,
    "refunded": 0
  },
  "input": {
    "uov_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "timings": {},
    "has_nsfw_concepts": [
      false
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
images
array of object {url, content_type, file_name, file_size, width, height}生成された画像のファイル情報。
timings
object生成にかかった経過時間。
has_nsfw_concepts
array of boolean生成画像に NSFW 概念が含まれるかどうかを示します。

その他のモデル: アップスケール

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/fooocus/upscale-or-vary.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt